For the complete documentation index, see llms.txt. This page is also available as Markdown.

Uninstall WordPress themes

Uninstall one or more themes from a WordPress installation.

Uninstall WordPress themes

post

Uninstall one or more themes from a WordPress installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

This operation is asynchronous: a successful response only means the uninstall job has been queued.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
themesstring[] · min: 1 · max: 20Required

Slugs of the installed themes to uninstall.

Example: ["twentytwenty","twentytwentyone"]
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/hosting/v1/accounts/{username}/wordpress/{software}/themes/uninstall
POST /api/hosting/v1/accounts/{username}/wordpress/{software}/themes/uninstall HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "themes": [
    "twentytwenty",
    "twentytwentyone"
  ]
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?